repo/gentoo:master commit in: app-text/xapian-omega/

"Sam James" <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1786769999.5d19358b3c0a280149cb435354867ad63ea87667.sam@gentoo>
commit:     5d19358b3c0a280149cb435354867ad63ea87667
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sat Aug 15 04:06:31 2026 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Aug 15 04:59:59 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5d19358b

app-text/xapian-omega: add 1.4.32

Bug: https://bugs.gentoo.org/976630
Bug: https://bugs.gentoo.org/980873
Signed-off-by: Sam James <sam <AT> gentoo.org>

 app-text/xapian-omega/Manifest                   |  2 +
 app-text/xapian-omega/xapian-omega-1.4.32.ebuild | 50 ++++++++++++++++++++++++
 2 files changed, 52 insertions(+)

diff --git a/app-text/xapian-omega/Manifest b/app-text/xapian-omega/Manifest
index 150564cda553..5b1e541fe752 100644
--- a/app-text/xapian-omega/Manifest
+++ b/app-text/xapian-omega/Manifest
@@ -3,5 +3,7 @@ DIST xapian-omega-1.4.30.tar.xz 588760 BLAKE2B 5f5a87ae1a728fe96aedb052b6bd025be
 DIST xapian-omega-1.4.30.tar.xz.asc 833 BLAKE2B 708292d6bac8f854699e833ca5f0be21b2d0481c75a6aa5e880a5c207e0758702483347b5b70846b75922c52e4b26f49a7b0521bc4d17ccf5f989793c0c5311b SHA512 f5f293756310e8e8559abdd72bea2984f05547199e048e8f0cf43cb438d32c85444e8d8406a96488ddcc1997503513866f1dd888909c9cd61f8c9703f98a6f3b
 DIST xapian-omega-1.4.31.tar.xz 589208 BLAKE2B 92d20e42fc8e57c4ae826790eb1ee2024da0cb7e435be883d4a5cb27c99a3362c91298be79e93579e0174732b1f06897c5309b71264d2ffc77ac35d7d71d44ad SHA512 2c902371a1e78382f17ca5e1a1061f59ceffc3f6942786ebbabdfd11c68dcdb0952fa467fbcc1a0fece532f24af3ab5c2d2b7b807e27a7bf9ec87d0bd542640a
 DIST xapian-omega-1.4.31.tar.xz.asc 833 BLAKE2B 6a72bf7fb0d1b3ba5971a92673b763457ac866f19869e8737a1116a8ebbb87dec1ff873ab7f05aefbc5d2f393aaa12e07ee587302800aab21af698fac99e34ce SHA512 fda624f42310f8cc7ecbc806dcd6dd2fc887976af17a0c6e44ab1edce465fd3e1302763b5513caeb75fd9171744322d1edbe8a7045725cd05d95b2ed065b3b27
+DIST xapian-omega-1.4.32.tar.xz 589644 BLAKE2B 8127ae8a383ec95897b3502a23fadc15d60cf2cd33b6a7fa9214484bf2fdc496adbee987bacf298d6a0c6df390b7c6877473fd6397c8aa72d0c46146b41d841b SHA512 7f90e0a6bf31c761a5a83210f2522d364720cb734db7194a6e7b552a7a7ac68a8a8dd7c1e25b7b0def6f1f0260627ced09463449bd5c5f3f349feba950bf1378
+DIST xapian-omega-1.4.32.tar.xz.asc 833 BLAKE2B ec56da40ba03eda301b0639fe9a3712e521bcdd5b6b6cf48fd1033a99d200b85b706ab7d8183d969421a995e90d5cff753bfe33e1c1c19c1bc38c64b79945b09 SHA512 d97e209373e1cb1a3f1a1f4bb0f442cb38e1a75703cf41fbe97274d3c51dc8b4bb17caa500f8118e9135f17cce603d792edef12955b9c9ab64915a43ebd426c4
 DIST xapian-omega-2.0.0.tar.xz 5823212 BLAKE2B 9db72f54664e12bc3b841b64e8c8f179bb24abb718a6c2f932c0eec27859c040ede7caeb7752dddacc0f787f571d3a27f623469e8a737e4ef9bec3219e245e2e SHA512 6fe80503156e85828610d1cf1f0cd1252d32b4a707d1391cb349fafa87cc7b642718d8ab19587291ada4ef1d5a087b11f2b5167a84cce4319ebad40a76fc4a6e
 DIST xapian-omega-2.0.0.tar.xz.asc 833 BLAKE2B acb20a67f080a20b606774df87ed09b6a9f2e9c6c44e6be25a76026c68cdb34266bfad7e329c17f97a7647f031831f6d205096968715dc6abf67c4622052d0d4 SHA512 e31f694513d22eefcd28c1cacd1250376159cdf3a11242c14d56602dc841c9f797b0e3f8de5123b6166d2e4a31f6886cb20009da377c50e8a6ea7c9ef80a7e97

diff --git a/app-text/xapian-omega/xapian-omega-1.4.32.ebuild b/app-text/xapian-omega/xapian-omega-1.4.32.ebuild
new file mode 100644
index 000000000000..783683a62bc8
--- /dev/null
+++ b/app-text/xapian-omega/xapian-omega-1.4.32.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+VERIFY_SIG_OPENPGP_KEY_PATH=/usr/share/openpgp-keys/ollybetts.asc
+inherit verify-sig
+
+DESCRIPTION="An application built on Xapian, consisting of indexers and a CGI search frontend"
+HOMEPAGE="https://xapian.org/"
+SRC_URI="
+	https://oligarchy.co.uk/xapian/${PV}/${P}.tar.xz
+	verify-sig? ( https://oligarchy.co.uk/xapian/${PV}/${P}.tar.xz.asc )
+"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~mips ~ppc ~ppc64 ~sparc ~x86"
+
+DEPEND="
+	dev-lang/perl
+	dev-libs/libpcre2:=
+	~dev-libs/xapian-${PV}:0/30
+	sys-apps/file
+	virtual/zlib:=
+"
+RDEPEND="${DEPEND}"
+BDEPEND="verify-sig? ( sec-keys/openpgp-keys-ollybetts )"
+
+src_install() {
+	emake DESTDIR="${D}" PREFIX="${EPREFIX}" install
+
+	# Protect /etc/omega.conf
+	echo "CONFIG_PROTECT=\"/etc/omega.conf\"" > "${T}"/20xapian-omega || die
+	doenvd "${T}"/20xapian-omega
+	dodoc AUTHORS ChangeLog INSTALL NEWS README TODO
+
+	# Directory containing Xapian databases:
+	keepdir /var/lib/omega/data
+
+	# Directory containing OmegaScript templates:
+	keepdir /var/lib/omega/templates
+	mv "${S}"/templates/* "${ED}"/var/lib/omega/templates || die
+
+	# Directory to write Omega logs to:
+	keepdir /var/log/omega
+
+	# Directory containing any cdb files for the $lookup OmegaScript command:
+	keepdir /var/lib/omega/cdb
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.